function Initialise()  

        MyPositions = 1

	lib_SetupMultiplayer()
	SendMessage("WormManager.Reinitialise")

   SetData("Weapon.Girder.MaxDistance", 10000)

   for WormIndex = 0 ,15  do
     local WormContainerName = lib_GetWormContainerName(WormIndex)
     local lock, worm = EditContainer(WormContainerName)
     worm.Energy = 100
     CloseContainer(lock)
   end

	StartFirstTurn()

    lib_SpawnCrate("cr1")
    lib_SpawnCrate("cr2")
    lib_SpawnCrate("cr3")
    lib_SpawnCrate("cr4")

    lock, scheme = EditContainer("GM.SchemeData")
    scheme.WeaponChance = 0
    scheme.UtilityChance = 0
    scheme.MysteryChance = 0
    scheme.HealthChance = 0
    CloseContainer(lock)

	SendMessage("GameLogic.ClearInventories")
	Index = 0
	InventoryName = lib_GetAllianceInventoryName(Index)
	while InventoryName ~= "" do
	 local Lock,Container = EditContainer(InventoryName)
	 Container.OldWoman = -1
         Container.Girder = 1    
         Container.HomingMissile = 2
	 CloseContainer(Lock) 
	 Index = Index + 1
	 InventoryName = lib_GetAllianceInventoryName(Index)
        end

	local ContainerLock, Container = EditContainer("kWeaponHomingMissile")
	Container.WormDamageMagnitude = 0
	Container.ImpulseMagnitude = 0
	 CloseContainer(ContainerLock)
	local ContainerLock, Container = EditContainer("kWeaponOldWoman")
	Container.LandDamageRadius = 0
	Container.DetonatesOnLandImpact = "false"
	Container.DetonatesOnFirePress = "true"
	Container.LifeTime = 30000000
	Container.DetonatesOnObjectImpact = "false"
	Container.DetonatesOnWormImpact = "false"
	 CloseContainer(ContainerLock)

end